setTimeout(() => {chrome.tabs.query({ active: true, currentWindow: true }, tabs => {
	const tabId = tabs[0].id
	const codesWModifiers = [{code: 80, modifiers: 2, key: 'p'}];
	chrome.debugger.attach({ tabId }, "1.3", () => {
		for (const item of codesWModifiers) {
			const text = String.fromCharCode(item.code);
			const ev = {
				windowsVirtualKeyCode: item.code,
				nativeVirtualKeyCode: item.code,
				macCharCode: item.code,
				// needed for pressing enter in contenteditables, and google search bar
				unmodifiedText: text,
				text: text,
				// needed for pressing tab on forms to go to next field
				key: text,
				// seems unecessary
				// code: "KeyP",
				...(item.modifiers
				? { modifiers: item.modifiers }
				: undefined),
			};
			console.log("doing keydown,keyup for " + item.code);
			chrome.debugger.sendCommand({ tabId }, "Input.dispatchKeyEvent", {
				type: "rawKeyDown",
				...ev,
			}, () => {
				// char needed for eg enter key in sheets
				chrome.debugger.sendCommand({ tabId }, "Input.dispatchKeyEvent", {
					type: "char",
					...ev,
				}, () => {
					chrome.debugger.sendCommand({ tabId }, "Input.dispatchKeyEvent", {
						type: "keyUp",
						...ev,
					});
                    console.log("Done!");
				});
			});
		}
	})
})}, 5000);

